
// Wave.java
// Andrew Davison, ad@fivedots.coe.psu.ac.th, October 2012

/* The class represents the MindWave EEG wave types as
   an enumeration, which makes it easy to iterate through the types.
 
   The code values come from the wave constants defined in
      \MindSet Development Tools\ThinkGear Communications Driver\win32\thinkgear.h
*/


public enum Wave
{
  Battery(0), 
  PoorSignal(1), 
  Attention(2), 
  Meditation(3), 
  Raw(4), 
  Delta(5), 
  Theta(6), 
  lowAlpha(7), 
  highAlpha(8), 
  lowBeta(9), 
  highBeta(10), 
  lowGamma(11), 
  highGamma(12), 
  BlinkStrength(37);

  private int code;

  private Wave(int code)
  {  this.code = code;  }

  public int getCode()
  {  return this.code; }

}  // end of Wave enum
